VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsSendMailByCDO1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'***************************************************************************************************
'   [M@\(CDO)                                     clsSendMailByCDO1(Class)
'
'   쐬:㎡  URL:https://www.ne.jp/asahi/excel/inoue/ [Excelłd!]
'***************************************************************************************************
'   [QƐݒ]
'   EMicrosoft CDO for Windows 2000 Library
'   EMicrosoft Scripting Runtime
'***************************************************************************************************
' ύXt Rev   ύXe---------------------------------------------------------------------->
' 06/07/01(1.0.0)VK쐬
' 17/10/09(2.0.0)NXڍsExcel2000ȑȎΉLq폜MFؑΉ@\AE{ҏWǉ
' 18/11/04(2.0.1)MFؗLɊ֌WȂ[U[pX[hw肪KvƂȂĂ܂C
'***************************************************************************************************
Option Explicit
'===================================================================================================
Private Const g_cnsTitle As String = "[M@\(CDO)"
' tH_pX
Private Const g_cnsMaxPath As Long = 260
' J}
Private Const g_cnsCom As String = ","
'---------------------------------------------------------------------------------------------------
' vpeBnϐ
Private g_strSMTP As String                                         ' SMTPT[oAhX
Private g_intPort As Integer                                        ' |[g
Private g_intTimeOut As Integer                                     ' ^CAEgl
Private g_strLanguageCode As String                                 ' R[hw
Private g_strFromName As String                                     ' ol
Private g_strFromAddr As String                                     ' olAhX
Private g_strReplyToName As String                                  ' ԐM於
Private g_strReplyToAddr As String                                  ' ԐMAhX
Private g_strErrMSG As String                                       ' G[bZ[W
' MF؊֘A
Private g_intAuthenticate As Integer                                ' F؎w(0=A1=L)
Private g_blnUseSSL As Boolean                                      ' SSLgp
Private g_strSendUserName As String                                 ' F؃[U[ID
Private g_strSendPassword As String                                 ' F؃pX[h

'***************************************************************************************************
'    NX 
'***************************************************************************************************
'* @FClass_Initialize
'* @\@@FNX
'---------------------------------------------------------------------------------------------------
'* Ԃl@F(Ȃ)
'* @@F(Ȃ)
'---------------------------------------------------------------------------------------------------
'* 쐬@F2017N1009
'* 쐬ҁ@F@
'* XV@F2017N1009
'* XVҁ@F@
'* @\F
'* ӎF
'***************************************************************************************************
Private Sub Class_Initialize()
    '-----------------------------------------------------------------------------------------------
    ' |[g^CAEgl̏l(F؎ftHg)
    g_intPort = 25
    g_intTimeOut = 60
    g_strLanguageCode = "iso-2022-jp"
    g_intAuthenticate = 0
    g_blnUseSSL = False
End Sub

'***************************************************************************************************
'    ǑĂяovV[W(Friend) 
'***************************************************************************************************
'* @FSendMailByCDO
'* @\@@F[M(CDO)
'---------------------------------------------------------------------------------------------------
'* Ԃl@F(Boolean)
'* @@FArg1 = 於(Variant)                         ̏ꍇ͔zZbg
'* @@@@@Arg2 = AhX(Variant)                   ̏ꍇ͔zZbg
'* @@@@@Arg3 = CC(Variant)                           ̏ꍇ͔zZbg
'* @@@@@Arg4 = CCAhX(Variant)                     ̏ꍇ͔zZbg
'* @@@@@Arg5 = BCC(Variant)                          ̏ꍇ͔zZbg
'* @@@@@Arg6 = BCCAhX(Variant)                    ̏ꍇ͔zZbg
'* @@@@@Arg7 = olBCCw(Boolean)
'* @@@@@Arg8 = (String)
'* @@@@@Arg9 = {(String)
'* @@@@@Arg10= Ytt@C(Variant)                 ̏ꍇ͔zZbg(Option)
'---------------------------------------------------------------------------------------------------
'* 쐬@F2006N0701
'* 쐬ҁ@F@
'* XV@F2017N1009
'* XVҁ@F@
'* @\F
'* ӎF
'***************************************************************************************************
Friend Function SendMailByCDO(ByVal vntToName As Variant, _
                              ByVal vntToAddr As Variant, _
                              ByVal vntCCName As Variant, _
                              ByVal vntCCAddr As Variant, _
                              ByVal vntBCCName As Variant, _
                              ByVal vntBCCAddr As Variant, _
                              ByVal swOwnerBCC As Boolean, _
                              ByVal strSubj As String, _
                              ByVal strBody As String, _
                              Optional ByVal vntAttachFile As Variant = "") As Boolean
    '===============================================================================================
    Dim objCDO As CDO.Message                                       ' CDO
    Dim lngIx As Long                                               ' e[uINDEX
    Dim strMailFrom As String                                       ' olo^
    Dim strMailTo As String                                         ' o^
    Dim strMailCc As String                                         ' CCo^
    Dim strMailBcc As String                                        ' BCCo^
    Dim strMailReplyTo As String                                    ' ReplyToo^
    SendMailByCDO = False
    g_strErrMSG = ""
    '-----------------------------------------------------------------------------------------------
    ' vpeBڃ`FbN
    If Not FP_CheckPropertyItem(strMailFrom, strMailReplyTo) Then Exit Function
    '-----------------------------------------------------------------------------------------------
    ' ACCABCC`FbNyѕҏW
    If Not FP_CheckToAndCcBcc(vntToName, _
                              vntToAddr, _
                              vntCCName, _
                              vntCCAddr, _
                              vntBCCName, _
                              vntBCCAddr, _
                              swOwnerBCC, _
                              strMailTo, _
                              strMailCc, _
                              strMailBcc) Then Exit Function
    '-----------------------------------------------------------------------------------------------
    ' {̍ŏIsmF
    '-----------------------------------------------------------------------------------------------
    ' Ytt@C`FbN
    If Not FP_CheckAttachFile(vntAttachFile) Then Exit Function
    '-----------------------------------------------------------------------------------------------
    On Error Resume Next
    Set objCDO = New CDO.Message
    With objCDO
        With .Configuration.Fields                                  ' ݒ荀
            .Item(cdoSendUsingMethod) = cdoSendUsingPort            ' OSMTPw
            .Item(cdoSMTPServer) = g_strSMTP                        ' SMTPT[o
            .Item(cdoSMTPServerPort) = g_intPort                    ' |[g
            .Item(cdoSMTPConnectionTimeout) = g_intTimeOut          ' ^CAEg
            .Item(cdoLanguageCode) = g_strLanguageCode              ' Zbgw
            .Item(cdoSMTPAuthenticate) = g_intAuthenticate          ' F؎w
            ' F؎w肠
            If g_intAuthenticate = 1 Then
                .Item(cdoSendUserName) = g_strSendUserName          ' F؃[U[
                .Item(cdoSendPassword) = g_strSendPassword          ' F؃pX[h
                .Item(cdoSMTPUseSSL) = g_blnUseSSL                  ' SSLw
            End If
            .Update                                                 ' ݒXV
        End With
        .MimeFormatted = True
        .Fields.Update
        .From = strMailFrom                                         ' M
        .To = strMailTo                                             ' 
        If strMailCc <> "" Then .CC = strMailCc                     ' CC
        If strMailBcc <> "" Then .BCC = strMailBcc                  ' BCC
        If strMailReplyTo <> "" Then .ReplyTo = strMailReplyTo      ' ReplyTo
        .Subject = strSubj                                          ' 
        .TextBody = strBody                                         ' {
        .TextBodyPart.Charset = g_strLanguageCode                   ' Zbgw({)
        ' Ytt@C̓o^(Ή)
        If IsArray(vntAttachFile) Then
            ' z񏈗
            Do While lngIx <= UBound(vntAttachFile)
                .AddAttachment Trim(vntAttachFile(lngIx))
                ' 
                lngIx = lngIx + 1
            Loop
        ElseIf vntAttachFile <> "" Then
            .AddAttachment Trim(vntAttachFile)
        End If
        ' M
        .Send
    End With
    Set objCDO = Nothing
    ' G[
    If Err.Number <> 0 Then
        g_strErrMSG = "[MɎs܂B" & vbCrLf & Err.Description
    End If
    On Error GoTo 0
    ' ʂԂ
    SendMailByCDO = g_strErrMSG = ""
End Function

'***************************************************************************************************
'* @FEditSubj
'* @\@@F̕ҏW(sR[h폜)
'---------------------------------------------------------------------------------------------------
'* Ԃl@F(String)
'* @@FArg1 = Ž(String)
'---------------------------------------------------------------------------------------------------
'* 쐬@F2017N1009
'* 쐬ҁ@F@
'* XV@F2017N1009
'* XVҁ@F@
'* @\FsR[h폜
'* ӎF
'***************************************************************************************************
Friend Function EditSubj(ByVal strSubj As String) As String
    '-----------------------------------------------------------------------------------------------
    strSubj = Replace(Trim(strSubj), vbCr, "")
    strSubj = Replace(Trim(strSubj), vbLf, "")
    EditSubj = strSubj
End Function

'***************************************************************************************************
'* @FEditBody
'* @\@@F{̕ҏW(sR[h)
'---------------------------------------------------------------------------------------------------
'* Ԃl@F{(String)
'* @@FArg1 = Z̖{(String)
'* @@@@@Arg2 = Z̏(String)
'---------------------------------------------------------------------------------------------------
'* 쐬@F2017N1009
'* 쐬ҁ@F@
'* XV@F2017N1009
'* XVҁ@F@
'* @\F{Ə̊Ԃɋs}
'* ӎF
'***************************************************************************************************
Friend Function EditBody(ByVal strBody As String, _
                         ByVal strSign As String) As String
    '-----------------------------------------------------------------------------------------------
    Dim strBody2 As String                                          ' ҏW{
    strBody2 = FP_EditBodySUB(strBody)
    ' ̗L𔻒
    If strSign <> "" Then
        ' {̍Ōɉs(s)t
        If Right(strBody2, 4) <> vbCrLf & vbCrLf Then
            strBody2 = strBody2 & vbCrLf
        End If
        EditBody = strBody2 & FP_EditBodySUB(strSign)
    Else
        EditBody = strBody2
    End If
End Function

'***************************************************************************************************
'    Tu(Pirvate) 
'***************************************************************************************************
'* @FFP_CheckPropertyItem
'* @\@@FvpeBڃ`FbN
'---------------------------------------------------------------------------------------------------
'* Ԃl@F(Boolean)
'* @@FArg1 = ҏW̍ol(String)                  RefQ
'* @@@@@Arg2 = ҏWReplyTo(String)                 RefQ
'---------------------------------------------------------------------------------------------------
'* 쐬@F2017N1009
'* 쐬ҁ@F@
'* XV@F2018N1104
'* XVҁ@F@
'* @\F
'* ӎF
'***************************************************************************************************
Private Function FP_CheckPropertyItem(ByRef strMailFrom As String, _
                                      ByRef strMailReplyTo As String) As Boolean
    '-----------------------------------------------------------------------------------------------
    FP_CheckPropertyItem = False
    ' SMTP`FbN
    If g_strSMTP = "" Then
        g_strErrMSG = "uSMTPT[ovw肳Ă܂B"
        Exit Function
    End If
    '-----------------------------------------------------------------------------------------------
    ' ol`FbN
    If g_strFromAddr = "" Then
        g_strErrMSG = "uolAhXvw肳Ă܂B"
        Exit Function
    End If
    ' olҏW
    strMailFrom = FP_JointMailAddress(g_strFromName, g_strFromAddr)
    '-----------------------------------------------------------------------------------------------
    ' ԐM`FbN
    If g_strReplyToName <> "" And g_strReplyToAddr = "" Then
        g_strErrMSG = "uԐMAhXvw肳Ă܂B"
        Exit Function
    End If
    ' ԐMҏW
    strMailReplyTo = FP_JointMailAddress(g_strReplyToName, g_strReplyToAddr)
    '-----------------------------------------------------------------------------------------------
    ' R[h`FbN
    If g_strLanguageCode = "" Then
        g_strErrMSG = "uR[h(ڍ׏)vw肳Ă܂B"
        Exit Function
    End If
    '-----------------------------------------------------------------------------------------------
    ' MF؊֘A`FbN
    If ((g_intAuthenticate <> 0) And (g_intAuthenticate <> 1)) Then
        g_strErrMSG = "uMF(ڍ׏)vw肳Ă܂B"
        Exit Function
    ElseIf g_intAuthenticate = 1 Then                   ' MF؂莞
        ' AJEg`FbN
        If g_strSendUserName = "" Then
            g_strErrMSG = "uAJEg(ڍ׏)vw肳Ă܂B"
            Exit Function
        End If
        ' pX[h`FbN
        If g_strSendPassword = "" Then
            g_strErrMSG = "upX[h(ڍ׏)vw肳Ă܂B"
            Exit Function
        End If
    End If
    FP_CheckPropertyItem = True
End Function

'***************************************************************************************************
'* @FFP_CheckToAndCcBcc
'* @\@@FACCABCC`FbNyѕҏW
'---------------------------------------------------------------------------------------------------
'* Ԃl@F(Boolean)
'* @@FArg1 = 於(Variant)                         ̏ꍇ͔zZbg
'* @@@@@Arg2 = AhX(Variant)                   ̏ꍇ͔zZbg
'* @@@@@Arg3 = CC(Variant)                           ̏ꍇ͔zZbg
'* @@@@@Arg4 = CCAhX(Variant)                     ̏ꍇ͔zZbg
'* @@@@@Arg5 = BCC(Variant)                          ̏ꍇ͔zZbg
'* @@@@@Arg6 = BCCAhX(Variant)                    ̏ꍇ͔zZbg
'* @@@@@Arg7 = olBCCw(Boolean)
'* @@@@@Arg8 = ҏẄ(String)                    RefQ
'* @@@@@Arg9 = ҏWCC(String)                      RefQ
'* @@@@@Arg10= ҏWBCC(String)                     RefQ
'---------------------------------------------------------------------------------------------------
'* 쐬@F2017N1009
'* 쐬ҁ@F@
'* XV@F2017N1009
'* XVҁ@F@
'* @\FҏẄACCABCC͕̎̓J}ŋ؂
'* ӎF`FbN͈uN̂
'***************************************************************************************************
Private Function FP_CheckToAndCcBcc(ByVal vntToName As Variant, _
                                    ByVal vntToAddr As Variant, _
                                    ByVal vntCCName As Variant, _
                                    ByVal vntCCAddr As Variant, _
                                    ByVal vntBCCName As Variant, _
                                    ByVal vntBCCAddr As Variant, _
                                    ByVal swOwnerBCC As Boolean, _
                                    ByRef strMailTo As String, _
                                    ByRef strMailCc As String, _
                                    ByRef strMailBcc As String) As Boolean
    '-----------------------------------------------------------------------------------------------
    FP_CheckToAndCcBcc = False
    ' ACCABCCҏW
    strMailTo = FP_JointMailAddress(vntToName, vntToAddr)
    strMailCc = FP_JointMailAddress(vntCCName, vntCCAddr)
    strMailBcc = FP_JointMailAddress(vntBCCName, vntBCCAddr)
    ' `FbN
    If strMailTo = "" Then
        g_strErrMSG = "uAhXvw肳Ă܂B"
        Exit Function
    End If
    ' olBCCǉw
    If swOwnerBCC Then
        ' uNłȂ΃J}
        If strMailBcc <> "" Then
            strMailBcc = strMailBcc & g_cnsCom & FP_JointMailAddress(g_strFromName, g_strFromAddr)
        Else
            strMailBcc = FP_JointMailAddress(g_strFromName, g_strFromAddr)
        End If
    End If
    FP_CheckToAndCcBcc = True
End Function

'***************************************************************************************************
'* @FFP_CheckAttachFile
'* @\@@FYtt@C`FbN
'---------------------------------------------------------------------------------------------------
'* Ԃl@F(Boolean)
'* @@FArg1 = Ytt@C(Variant)                 ̏ꍇ͔zZbg
'---------------------------------------------------------------------------------------------------
'* 쐬@F2017N1009
'* 쐬ҁ@F@
'* XV@F2017N1009
'* XVҁ@F@
'* @\F
'* ӎF
'***************************************************************************************************
Private Function FP_CheckAttachFile(ByRef vntAttachFile As Variant) As Boolean
    '-----------------------------------------------------------------------------------------------
    Dim objFso As FileSystemObject                                  ' FileSystemObject
    FP_CheckAttachFile = False
    Set objFso = New FileSystemObject
    ' gp
    If IsError(vntAttachFile) Then vntAttachFile = ""
    ' t@C
    If IsArray(vntAttachFile) Then
        '-------------------------------------------------------------------------------------------
        ' w莞
        Dim lngIx As Long                                           ' e[uINDEX
        ' e[u
        Do While lngIx <= UBound(vntAttachFile)
            ' ݊mF
            If Not FP_CheckExistsFile(objFso, Trim(vntAttachFile(lngIx))) Then
                Set objFso = Nothing
                Exit Function
            End If
            ' 
            lngIx = lngIx + 1
        Loop
    ElseIf vntAttachFile <> "" Then
        ' ݊mF
        If Not FP_CheckExistsFile(objFso, Trim(vntAttachFile)) Then
            Set objFso = Nothing
            Exit Function
        End If
    End If
    Set objFso = Nothing
    FP_CheckAttachFile = True
End Function

'***************************************************************************************************
'    ʃTu(Pirvate) 
'***************************************************************************************************
'* @FFP_JointMailAddress
'* @\@@F́{AhXڍ
'---------------------------------------------------------------------------------------------------
'* Ԃl@FڍAhX(String)
'* @@FArg1 = (Variant)
'* @@@@@Arg2 = AhX(Variant)
'---------------------------------------------------------------------------------------------------
'* 쐬@F2017N1009
'* 쐬ҁ@F@
'* XV@F2017N1009
'* XVҁ@F@
'* @\F
'* ӎFw莞2ڈȍ~J}ŋ؂
'***************************************************************************************************
Private Function FP_JointMailAddress(ByVal vntName As Variant, _
                                     ByVal vntEmail As Variant) As String
    '-----------------------------------------------------------------------------------------------
    Dim strName As String                                           ' 
    Dim strEmail As String                                          ' AhX
    ' gp
    If IsError(vntName) Then vntName = ""
    If IsError(vntEmail) Then vntEmail = ""
    ' AhXz(w)
    If IsArray(vntEmail) Then
        '-------------------------------------------------------------------------------------------
        ' w莞
        Dim lngIx As Long                                           ' e[uINDEX
        Dim lngIxMax1 As Long                                       ' e[uINDEX()
        Dim lngIxMax2 As Long                                       ' e[uINDEX(AhX)
        Dim strAddr As String                                       ' ҏWAhX
        strAddr = ""
        lngIxMax2 = UBound(vntEmail)
        ReDim tblAddr(lngIxMax2)
        ' ̂z(w)
        If IsArray(vntName) Then
            lngIxMax1 = UBound(vntName)
        Else
            lngIxMax1 = -1
        End If
        ' z
        Do While lngIx <= lngIxMax2
            strEmail = Trim(vntEmail(lngIx))
            ' ̂͗vf𔻒肵ăZbg
            If lngIxMax1 >= lngIxMax2 Then
                strName = Trim(vntName(lngIx))
            Else
                strName = ""
            End If
            ' 2ڈȍ~̓J}ŋ؂
            If strAddr <> "" Then
                strAddr = strAddr & ","
            End If
            ' AhX݂̂
            If strName = "" Then
                strAddr = strAddr & strEmail
            Else
                strAddr = strAddr & strName & " <" & strEmail & ">"
            End If
            ' 
            lngIx = lngIx + 1
        Loop
        FP_JointMailAddress = strAddr
    Else
        '-------------------------------------------------------------------------------------------
        ' Pw莞
        strName = ""
        strEmail = ""
        ' Variantڃ`FbN
        If VarType(vntName) = vbString Then strName = Trim(vntName)
        If VarType(vntEmail) = vbString Then strEmail = Trim(vntEmail)
        ' AhX݂̂
        If strName = "" Then
            FP_JointMailAddress = strEmail
        Else
            FP_JointMailAddress = strName & " <" & strEmail & ">"
        End If
    End If
End Function

'***************************************************************************************************
'* @FFP_CheckExistsFile
'* @\@@Ft@C݃`FbN
'---------------------------------------------------------------------------------------------------
'* Ԃl@F(Boolean)
'* @@FArg1 = FileSystemObject(Object)
'* @@@@@Arg2 = tpXt@C(String)
'---------------------------------------------------------------------------------------------------
'* 쐬@F2017N1009
'* 쐬ҁ@F@
'* XV@F2017N1009
'* XVҁ@F@
'* @\F
'* ӎF
'***************************************************************************************************
Private Function FP_CheckExistsFile(ByRef objFso As FileSystemObject, _
                                    ByVal strFilename As String) As Boolean
    '-----------------------------------------------------------------------------------------------
    Dim blnSuccess As Boolean                                       ' 
    ' uN͖(툵)
    If strFilename = "" Then
        FP_CheckExistsFile = True
        Exit Function
    End If
    blnSuccess = objFso.FileExists(strFilename)
    ' s̓bZ[WҏW
    If Not blnSuccess Then
        g_strErrMSG = "w̃t@C݂܂B" & vbCrLf & strFilename
    End If
    FP_CheckExistsFile = blnSuccess
End Function

'***************************************************************************************************
'* @FFP_EditBodySUB
'* @\@@F{̕ҏWTu
'---------------------------------------------------------------------------------------------------
'* Ԃl@FҏW㕶(String)
'* @@FArg1 = ҏWO(String)
'---------------------------------------------------------------------------------------------------
'* 쐬@F2017N1009
'* 쐬ҁ@F@
'* XV@F2017N1009
'* XVҁ@F@
'* @\FLFsCRLFsɒu
'* ӎF
'***************************************************************************************************
Private Function FP_EditBodySUB(ByVal strText As String) As String
    '-----------------------------------------------------------------------------------------------
    Dim strText2 As String                                          ' ҏWWork
    ' uN͉̎Ȃ
    If strText = "" Then
        FP_EditBodySUB = ""
        Exit Function
    End If
    ' XCRLFsULFsɕύX
    strText2 = Replace(Trim(strText), vbCrLf, vbLf)
    ' LFsCRLFsɕύX
    strText2 = Replace(strText2, vbLf, vbCrLf)
    ' Ōɉst
    If Right(strText2, 2) <> vbCrLf Then
        strText2 = strText2 & vbCrLf
    End If
    FP_EditBodySUB = strText2
End Function

'***************************************************************************************************
'    vpeB 
'***************************************************************************************************
'   SMTPT[o(String)
'---------------------------------------------------------------------------------------------------
Friend Property Let prpSMTP(ByVal Value As String)
    '-----------------------------------------------------------------------------------------------
    g_strSMTP = Value
End Property

'===================================================================================================
'   |[g(Integer)
'---------------------------------------------------------------------------------------------------
Friend Property Let prpPort(ByVal Value As Integer)
    '-----------------------------------------------------------------------------------------------
    g_intPort = Value
End Property

'===================================================================================================
'   ^CAEgl(Integer)
'---------------------------------------------------------------------------------------------------
Friend Property Let prpTimeOut(ByVal Value As Integer)
    '-----------------------------------------------------------------------------------------------
    g_intTimeOut = Value
End Property

'===================================================================================================
'   R[hw(String)
'---------------------------------------------------------------------------------------------------
Friend Property Let prpLanguageCode(ByVal Value As String)
    '-----------------------------------------------------------------------------------------------
    g_strLanguageCode = Value
End Property

'===================================================================================================
'   ol(String)
'---------------------------------------------------------------------------------------------------
Friend Property Let prpFromName(ByVal Value As String)
    '-----------------------------------------------------------------------------------------------
    g_strFromName = Value
End Property

'===================================================================================================
'   olAhX(String)
'---------------------------------------------------------------------------------------------------
Friend Property Let prpFromAddr(ByVal Value As String)
    '-----------------------------------------------------------------------------------------------
    g_strFromAddr = Value
End Property

'===================================================================================================
'   ԐM於(String)
'---------------------------------------------------------------------------------------------------
Friend Property Let prpReplyToName(ByVal Value As String)
    g_strReplyToName = Value
End Property

'===================================================================================================
'   ԐMAhX(String)
'---------------------------------------------------------------------------------------------------
Friend Property Let prpReplyToAddr(ByVal Value As String)
    g_strReplyToAddr = Value
End Property

'===================================================================================================
'   F؎w(0=A1=L)(Integer)
'---------------------------------------------------------------------------------------------------
Friend Property Let prpAuthenticate(ByVal Value As Integer)
    '-----------------------------------------------------------------------------------------------
    g_intAuthenticate = Value
End Property

'===================================================================================================
'   SSLgp(Boolean)
'---------------------------------------------------------------------------------------------------
Friend Property Let prpUseSSL(ByVal Value As Boolean)
    '-----------------------------------------------------------------------------------------------
    g_blnUseSSL = Value
End Property

'===================================================================================================
'   F؃[U[ID(String)
'---------------------------------------------------------------------------------------------------
Friend Property Let prpSendUserName(ByVal Value As String)
    '-----------------------------------------------------------------------------------------------
    g_strSendUserName = Value
End Property

'===================================================================================================
'   F؃pX[h(String)
'---------------------------------------------------------------------------------------------------
Friend Property Let prpSendPassword(ByVal Value As String)
    '-----------------------------------------------------------------------------------------------
    g_strSendPassword = Value
End Property

'===================================================================================================
'   G[bZ[W(String)
'---------------------------------------------------------------------------------------------------
Friend Property Get prpErrMSG() As String
    prpErrMSG = g_strErrMSG
End Property

'------------------------------------------<< End of Source >>--------------------------------------
